summaryrefslogtreecommitdiffstats
path: root/audio/foo-yc20/foo-yc20.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/foo-yc20/foo-yc20.SlackBuild')
-rw-r--r--audio/foo-yc20/foo-yc20.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/audio/foo-yc20/foo-yc20.SlackBuild b/audio/foo-yc20/foo-yc20.SlackBuild
index 0dd1400c51..b2ad258341 100644
--- a/audio/foo-yc20/foo-yc20.SlackBuild
+++ b/audio/foo-yc20/foo-yc20.SlackBuild
@@ -6,9 +6,12 @@
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20170621 bkw: Rework optimization options. Needed because -current's
+# gcc7 requires massive amounts of memory to build this.
+
PRGNAM=foo-yc20
VERSION=${VERSION:-1.3.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -55,11 +58,17 @@ find -L . \
sed -i "s,\<lib\>,lib$LIBDIRSUFFIX,g" Makefile
-if [ "${FORCE_SLACK_CFLAGS:-no}" = "yes" ]; then
- make PREFIX=/usr CFLAGS="$SLKCFLAGS"
-else
- make PREFIX=/usr
-fi
+case "${OPTIMIZE:-default}" in
+ slack)
+ make PREFIX=/usr CFLAGS="$SLKCFLAGS" ;;
+ default)
+ sed -i 's,-O3,-O2,g' Makefile ; make PREFIX=/usr ;;
+ upstream)
+ make PREFIX=/usr ;;
+ *)
+ echo "Bad OPTIMIZE, must be one of: 'default', 'slack', 'upstream'" 2>&1
+ exit 1
+esac
make install DESTDIR=$PKG PREFIX=/usr